org.apache.lucene.analysis.miscellaneous

## Class StemmerOverrideFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.miscellaneous.StemmerOverrideFilter

All Implemented Interfaces:
  Closeable, AutoCloseable

    public final class StemmerOverrideFilter
    extends TokenFilter

Provides the ability to override any `KeywordAttribute` aware stemmer with custom dictionary-based stemming.

### Nested Class Summary

Nested Classes
`static class` `StemmerOverrideFilter.Builder` This builder builds an `FST` for the `StemmerOverrideFilter`
`static class` `StemmerOverrideFilter.StemmerOverrideMap` A read-only 4-byte FST backed map that allows fast case-insensitive key value lookups for `StemmerOverrideFilter`

### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

`AttributeSource.State`

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.TokenFilter

`input`

### Fields inherited from class org.apache.lucene.analysis.TokenStream

`DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

### Constructor Summary

Constructors
Constructor and Description
`StemmerOverrideFilter(TokenStream input, StemmerOverrideFilter.StemmerOverrideMap stemmerOverrideMap)` Create a new StemmerOverrideFilter, performing dictionary-based stemming with the provided `dictionary`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `incrementToken()`

### Methods inherited from class org.apache.lucene.analysis.TokenFilter

`close, end, reset`

### Methods inherited from class org.apache.lucene.util.AttributeSource

`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StemmerOverrideFilter

    public StemmerOverrideFilter(TokenStream input,
                                 StemmerOverrideFilter.StemmerOverrideMap stemmerOverrideMap)

Create a new StemmerOverrideFilter, performing dictionary-based stemming with the provided `dictionary`.

Any dictionary-stemmed terms will be marked with `KeywordAttribute` so that they will not be stemmed with stemmers down the chain.

### Method Detail

#### incrementToken

    public boolean incrementToken()
                           throws IOException

Specified by:
  `incrementToken` in class `TokenStream`
Throws:
  `IOException`